geos::io::GeoJSONReader Class Reference

GeoJSON reader class; see also GeoJSONWriter. More...

`#include <GeoJSONReader.h>`

## Public Member Functions

| GeoJSONReader (const geom::GeometryFactory &gf)
| Initialize parser with given GeometryFactory.
| GeoJSONReader ()
| Initialize parser with default GeometryFactory.
std::unique_ptr< geom::Geometry > | read (const std::string &geoJsonText) const
| Parse a GeoJSON string returning a Geometry.
GeoJSONFeatureCollection | readFeatures (const std::string &geoJsonText) const

## Detailed Description

GeoJSON reader class; see also GeoJSONWriter.

## Constructor & Destructor Documentation

## GeoJSONReader()

geos::io::GeoJSONReader::GeoJSONReader | ( | const geom::GeometryFactory & | gf | ) |

Initialize parser with given GeometryFactory.

Note that all Geometry objects created by the parser will contain a pointer to the given factory so be sure you'll keep the factory alive for the whole GeoJSONReader and created Geometry life.

Referenced by GeoJSONReader().

The documentation for this class was generated from the following file:

- GeoJSONReader.h